#include "stdio.h"
#include "stdlib.h"
#include "error.h"
#include "memory.h"

using namespace REFINE_NS;

/* ---------------------------------------------------------------------- */

Error::Error(REFINE *refine) : Pointers(refine) {}

/* ---------------------------------------------------------------------- */

void Error::error(const char *str)
{
  fprintf(stderr,"ERROR: %s\n",str);
  exit(1);
}

/* ---------------------------------------------------------------------- */

void Error::warning(const char *str)
{
  fprintf(stderr,"WARNING: %s\n",str);
}
